import request from "@/utils/request";

// 查询MmWalletWhiteList列表
export function listMmWalletWhiteList(query) {
  return request({
    url: "/api/v1/mm-wallet-white-list",
    method: "get",
    params: query,
  });
}

// 查询MmWalletWhiteList详细
export function getMmWalletWhiteList(id) {
  return request({
    url: "/api/v1/mm-wallet-white-list/" + id,
    method: "get",
  });
}

// 新增MmWalletWhiteList
export function addMmWalletWhiteList(data) {
  return request({
    url: "/api/v1/mm-wallet-white-list",
    method: "post",
    data: data,
  });
}

// 修改MmWalletWhiteList
export function updateMmWalletWhiteList(data) {
  return request({
    url: "/api/v1/mm-wallet-white-list/" + data.id,
    method: "put",
    data: data,
  });
}

// 删除MmWalletWhiteList
export function delMmWalletWhiteList(data) {
  return request({
    url: "/api/v1/mm-wallet-white-list",
    method: "delete",
    data: data,
  });
}

export function batchInsertMmWalletWhiteList(data) {
  return request({
    url: "/api/v1/mm-wallet-white-list/batch",
    method: "post",
    data: data,
  });
}
